
<div class="main">
    <div class="friendslistcontainer">
        Friends List:<br>
        <input type="text" [(ngModel)]="searchParameter" placeholder="Search.."><button (click)="getUserList()">Go</button>
        <hr>
        <div class="userlink" *ngFor="let user of userList">
            <a routerLink='/userprofile/{{user.id}}'>
                <img class="profilepic" src={{user.url}}> {{user.firstName}} {{user.lastName}}
            </a>
        </div>
    </div>
</div>